org.apache.ignite.spi.systemview.view.datastructures

## Class QueueView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.datastructures.QueueView

-     public class QueueView
      extends Object

  Queue representation for a `SystemView`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueueView(org.apache.ignite.internal.processors.datastructures.GridCacheQueueProxy<?> queue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `bounded()`
    `int` | `capacity()`
    `boolean` | `collocated()`
    `int` | `groupId()`
    `String` | `groupName()`
    `IgniteUuid` | `id()`
    `String` | `name()`
    `boolean` | `removed()`
    `int` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueueView

          public QueueView(org.apache.ignite.internal.processors.datastructures.GridCacheQueueProxy<?> queue)

      Parameters:
        `queue` - Queue to view.

  - ### Method Detail

    - #### id

          public IgniteUuid id()

      Returns:
        Queue id.

    - #### name

          public String name()

      Returns:
        Queue name.

    - #### capacity

          public int capacity()

      Returns:
        Queue capacity.

    - #### size

          public int size()

      Returns:
        Queue size.

    - #### groupName

          public String groupName()

      Returns:
        Cache group name where values for queue stored.

    - #### groupId

          public int groupId()

      Returns:
        Cache group id where values for queue stored.

    - #### bounded

          public boolean bounded()

      Returns:
        If `true` then queue capacity is bounded.

    - #### collocated

          public boolean collocated()

      Returns:
        Collocated flag.

    - #### removed

          public boolean removed()

      Returns:
        If `true` then this queue removed.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022